import math
import numpy as np

def get_primes(under = 10**5+1):
    primes = [2]
    for i in range(3, under, 2):
        is_prime = True
        for j in primes:
            if i%j == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(i)
    return primes
        

def get_factorization(primes, number):
    factorization = [0 for _ in primes]
    for i, p in enumerate(primes):
        while (number%p == 0):
            factorization[i] += 1
            number /= p
            if (number == 1):
                break
    return np.array(factorization)





def factorize(n):
    factors = []
    if n % 2 == 0:
        factors.append(2)
        n /= 2

    # for i in range(3, floor(math.sqrt(n)), 2):
    i = 3
    while i < math.floor(math.sqrt(n) + 1):
        if n % i == 0:
            factors.append(i)
            n /= i
        i += 2
    factors.append(i)
    return factors

if __name__ == "__main__":

    N = int(input())
    primes = get_primes()
    arr = [get_factorization(primes, int(c)) for c in input().split()]

    prod = [0 for _ in range(1+N)]
    prod[0] = np.zeros(len(primes))
    for i in range(1, N+1):
       prod[i] = arr[i-1] + prod[i]
        
    # print(cum_prod)
    Q = int(input())
    for q in range(Q):
        a, b, c = [int(c) for c in input().split()]
        if sum(prod[b] - prod[a-1] - prod[c] < 0) == 0:
            print("Yes")
        else:
            print("No")
    